IF OBJECT_ID('dbo.vw_fco_tid_trabajador') IS NOT NULL
    DROP VIEW dbo.vw_fco_tid_trabajador
GO
CREATE VIEW dbo.vw_fco_tid_trabajador
AS
/* por ahora queda con la definición que sirve para Grasco */
SELECT tg.compania, tg.trabajador, 
    tipo_id = CASE IsNull(rta.dato, 'CC') WHEN 'CC' THEN 'C' WHEN 'CE' THEN 'E' ELSE 'T' END
FROM trabajadores_grales tg
LEFT JOIN rel_trab_agr rta ON tg.compania = rta.compania AND tg.trabajador = rta.trabajador 
 AND rta.agrupacion = 
 ISNULL((SELECT x.dato FROM vw_fdt_parametros x 
         WHERE x.pais = 'COL' AND x.compania = tg.compania AND x.parametro = 'autoliq' AND x.secuencia = 29), 'TIPO_DOCU')
GO
GRANT SELECT ON dbo.vw_fco_tid_trabajador TO PUBLIC
GO
